package org.raddatz.familienarchiv.document.annotation;

import jakarta.validation.Constraint;
import jakarta.validation.Payload;

import java.lang.annotation.*;

@Documented
@Constraint(validatedBy = UniquePointsValidator.class)
@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
public @interface UniquePoints {
    String message() default "polygon must contain 4 unique points";
    Class<?>[] groups() default {};
    Class<? extends Payload>[] payload() default {};
}
